Skip to content

v7.6.0

Compare
Choose a tag to compare
@Josh-Walker-GM Josh-Walker-GM released this 21 May 20:12
· 804 commits to main since this release
2008910

Changelog

  • feat(cli): Add experimental setup command for React Compiler (#10574) by @Josh-Walker-GM

    You can now use yarn rw exp setup-react-compiler to enable the experimental React Compiler. See our forum post for more information and feedback.

  • fix(cli): Add deprecation notice for edgio deployment (#10551) by @Josh-Walker-GM

    This change adds notices to the CLI and our documentation site to inform you that the edgio deployment provider is now deprecated as of v7.

  • Added warning note to not add WebAuthn (#10231) by @pantheredeye

    Adds a warning to the tutorial telling users not to add WebAuthn as it's not supported by the generated login pages the tutorial uses.

  • fix(functions): Fix context variable warning/error (#10556) by @Tobbe

    In a newly generated function there's a warning/error in the JSDoc that also prevents VSCode from showing the correct information. This change corrects this problem.

  • patch(crwa): Fix small annoyances (formatting, spell-check) (#10651) by @Tobbe

    This change corrects a few typo errors and improves the formatting of our template files.

  • Docs: QoL Updates to Contributing.md (#10561) by @pantheredeye

    Quality of life updates for the contributing doc (the document in the root of the main repository).

Dependencies

Click to see all upgraded dependencies
  • fix(deps): update dependency systeminformation to v5.22.9 #10575
  • fix(deps): update dependency lru-cache to v10.2.2 #10580
  • chore(deps): update dependency rimraf to v5.0.7 #10577
  • chore(deps): update dependency esbuild to v0.21.3 #10581
  • chore(deps): update dependency semver to v7.6.2 #10578
  • fix(deps): update dependency @react-email/render to v0.0.13 #10590
  • chore(deps): update dependency @envelop/core to v5.0.1 #10587
  • fix(deps): update dependency @types/aws-lambda to v8.10.137 #10591
  • chore(deps): update dependency @testing-library/jest-dom to v6.4.5 #10588
  • fix(deps): update dependency ioredis to v5.4.1 #10583
  • chore(deps): update dependency supertokens-node to v15.2.2 #10597
  • fix(deps): update dependency qs to v6.12.1 #10599
  • fix(deps): update dependency css-loader to v6.11.0 #10601
  • fix(deps): update dependency envinfo to v7.13.0 #10603
  • fix(deps): update dependency pino to v8.21.0 #10604
  • fix(deps): update dependency @pmmmwh/react-refresh-webpack-plugin to v0.5.13 #10605
  • fix(deps): update dependency graphql-yoga to v5.3.1 #10607
  • fix(deps): update dependency @types/webpack-env to v1.18.5 #10609
  • fix(deps): update dependency @types/aws-lambda to v8.10.138 #10608
  • fix(deps): update dependency webpack-bundle-analyzer to v4.10.2 #10612
  • fix(deps): update dependency @clerk/clerk-sdk-node to v4.13.16 #10611
  • chore(deps): update dependency redis to v4.6.14 #10610
  • fix(deps): update dependency babel-plugin-module-resolver to v5.0.2 #10615
  • chore(deps): update dependency @clerk/clerk-react to v4.31.1 #10616
  • fix(deps): update dependency react-hook-form to v7.51.4 #10622
  • fix(deps): update dependency react-helmet-async to v2.0.5 #10621
  • fix(deps): update dependency fastify to v4.27.0 #10625
  • fix(deps): update prisma monorepo to v5.14.0 #10627
  • fix(deps): update dependency @sdl-codegen/node to v0.0.15 #10632
  • fix(deps): update dependency mini-css-extract-plugin to v2.9.0 #10633
  • chore(deps): update yarn monorepo #10624
  • chore(deps): update dependency firebase to v10.12.0 #10635
  • fix(deps): update dependency @graphql-yoga/plugin-defer-stream to v3.3.1 #10638
  • fix(deps): update dependency @graphql-yoga/plugin-persisted-operations to v3.3.1 #10640
  • fix(deps): update dependency core-js to v3.37.1 #10630
  • fix(deps): update graphql-tools monorepo #10641
  • fix(deps): update dependency @graphql-yoga/plugin-graphql-sse to v3.3.1 #10639
  • chore(deps): update babel monorepo to v7.24.5 #10614
  • chore(deps): update dependency @supabase/supabase-js to v2.43.2 #10365
  • fix(deps): update dependency graphql-sse to v2.5.3 #10364
  • chore(deps): update node.js to >=14.17 <=20.13 #10368
  • chore(deps): update dependency vscode-languageserver-protocol to v3.17.5 #10351